<?php
/**
 * Abstract class AbstractController.
 *
 * @package ILabs\WoocommerceDHL24
 */

declare (strict_types=1);
namespace ILabs\WoocommerceDHL24\Controller;

use ILabs\WoocommerceDHL24\PluginOptions;

/**
 * AbstractController
 */
abstract class AbstractController {

	/**
	 * Plugin options
	 *
	 * @var PluginOptions Plugin options.
	 */
	protected $plugin_options;

	/**
	 * Construct
	 *
	 * @param PluginOptions $plugin_options Plugin options.
	 * @return void
	 */
	public function __construct( PluginOptions $plugin_options ) {
		$this->plugin_options = $plugin_options;
	}

	/**
	 * Render HTML
	 *
	 * @param string $template_name Template name.
	 * @param array  $args Additional arguments passed to the template.
	 * @return void
	 */
	protected function render( string $template_name, array $args = array() ) {
		$template = $this->plugin_options->get_plugin_namespace() . '/' . $template_name;
		if ( '' === locate_template( $template, true, true, $args ) ) {
			include $this->plugin_options->get_plugin_dir() . '/templates/' . $template_name;
		}
	}
}
