<?php
/**
 * Class AuthData
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\ServicePoint\Type;

/**
 * AuthData
 */
class AuthData {
	/**
	 * Username
	 *
	 * @var string
	 */
	private $username;

	/**
	 * Password
	 *
	 * @var string
	 */
	private $password;

	/**
	 * Constructor
	 *
	 * @param string $username Username.
	 * @param string $password Password.
	 */
	public function __construct( string $username, string $password ) {
		$this->username = $username;
		$this->password = $password;
	}

	/**
	 * Get username.
	 *
	 * @return string|null
	 */
	public function getUsername() {
		return $this->username;
	}

	/**
	 * Get password.
	 *
	 * @return string|null
	 */
	public function getPassword() {
		return $this->password;
	}
}
