<?php
/**
 * Class Shipment
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\ServicePoint\Type;

use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;

/**
 * Shipment
 */
class Shipment implements ResultInterface {
	/**
	 * Parcel ID.
	 *
	 * @var string|null
	 */
	private $shipmentNumber;

	/**
	 * Label.
	 *
	 * @var Label|null
	 */
	private $label;

	/**
	 * Order ID (if courier is booked).
	 *
	 * @var string|null
	 */
	private $dispatchNumber;

	/**
	 * Get parcel ID.
	 *
	 * @return string|null
	 */
	public function getShipmentNumber() {
		return $this->shipmentNumber;
	}

	/**
	 * Set parcel ID.
	 *
	 * @param string|null $shipmentNumber Parcel ID.
	 *
	 * @return self
	 */
	public function setShipmentNumber( $shipmentNumber ) {
		$this->shipmentNumber = $shipmentNumber;

		return $this;
	}

	/**
	 * Get label.
	 *
	 * @return Label|null
	 */
	public function getLabel() {
		return $this->label;
	}

	/**
	 * Set label.
	 *
	 * @param Label|null $label Label.
	 *
	 * @return self
	 */
	public function setLabel( $label ) {
		$this->label = $label;

		return $this;
	}

	/**
	 * Get order ID (if courier is booked).
	 *
	 * @return string|null
	 */
	public function getDispatchNumber() {
		return $this->dispatchNumber;
	}

	/**
	 * Set order ID (if courier is booked).
	 *
	 * @param string|null $dispatchNumber Order ID (if courier is booked).
	 *
	 * @return self
	 */
	public function setDispatchNumber( $dispatchNumber ) {
		$this->dispatchNumber = $dispatchNumber;

		return $this;
	}
}
