<?php
/**
 * Class ConvertCancelCourierBooking
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Convert;

use ILabs\WoocommerceDHL24\Exception\ConvertException;
use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;
use ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type\DeleteNotifications;

/**
 * ConvertCancelCourierBooking
 */
class ConvertCancelCourierBooking implements ConvertInterface {
	use CastTrait;

	/**
	 * Source object cast.
	 *
	 * @param \stdClass $sourceObject Source object.
	 * @return ResultInterface
	 * @throws ConvertException If error.
	 */
	public function cast( \stdClass $sourceObject ): ResultInterface {
		try {
			$sourceObject = $sourceObject->cancelCourierBookingResult;
		} catch ( \Exception $e ) {
			throw new ConvertException( $e, $e->getMessage() );
		}
		$deleteNotifications = new DeleteNotifications();
		if ( isset( $sourceObject->item ) ) {
			$items = $sourceObject->item;
			foreach ( $items as $item ) {
				$deleteNotification = $this->castObject( 'deleteNotification', $item );
				$deleteNotifications->addItem( $deleteNotification );
			};
		}

		return $deleteNotifications;
	}
}
