<?php
/**
 * Class ConvertGetTrackAndTraceInfo
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Convert;

use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;
use ILabs\WoocommerceDHL24\Exception\ConvertException;

/**
 * ConvertGetTrackAndTraceInfo
 */
class ConvertGetTrackAndTraceInfo implements ConvertInterface {
	use CastTrait;
	/**
	 * Source object cast.
	 *
	 * @param \stdClass $sourceObject Source object.
	 * @return ResultInterface
	 * @throws ConvertException If error.
	 */
	public function cast( \stdClass $sourceObject ): ResultInterface {
		try {
			$sourceObject = $sourceObject->getTrackAndTraceInfoResult;
		} catch ( \Exception $e ) {
			throw new ConvertException( $e, $e->getMessage() );
		}

		return $this->castObject( 'trackAndTrace', $sourceObject, array( 'events' => 'trackAndTraceEvent' ) );
	}
}
