<?php
/**
 * Abstract class AbstractMethod
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Method;

use ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type\AuthData;

/**
 * AbstractMethod
 */
abstract class AbstractMethod {


	/**
	 * Authorization data
	 *
	 * @var AuthData
	 */
	private $authData;

	/**
	 * Constructor
	 *
	 * @param AuthData $authData Authorization data.
	 */
	public function __construct( AuthData $authData ) {
		$this->authData = $authData;
	}

	/**
	 * Get authorization data.
	 *
	 * @return AuthData
	 */
	public function getAuthData(): AuthData {
		return $this->authData;
	}

	/**
	 * Return associative array.
	 *
	 * @return array
	 */
	public function toArray(): array {
		return array(
			'authData' => array(
				'username' => $this->authData->getUsername(),
				'password' => $this->authData->getPassword(),
			),
		);
	}
}
