<?php
/**
 * Class GetMyShipments
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Method;

use ILabs\WoocommerceDHL24\DHL24Client\RequestInterface;

/**
 * GetMyShipments
 */
class GetMyShipments extends GetMyShipmentsCount implements RequestInterface {

	/**
	 * The service returns the maximum of 100 records - use an offset if the number of records in the time slot is exceeded.
	 *
	 * @var int|null
	 */
	private $offset;

	/**
	 * Return associative array.
	 *
	 * @return array
	 */
	public function toArray(): array {
		return array_merge(
			parent::toArray(),
			array(
				'offset' => $this->getOffset(),
			)
		);
	}

	/**
	 * Get the service returns the maximum of 100 records - use an offset if the number of records in the time slot is exceeded.
	 *
	 * @return  int|null
	 */
	public function getOffset() {
		return $this->offset;
	}

	/**
	 * Set the service returns the maximum of 100 records - use an offset if the number of records in the time slot is exceeded.
	 *
	 * @param  int|null $offset  The service returns the maximum of 100 records - use an offset if the number of records in the time slot is exceeded.
	 *
	 * @return  self
	 */
	public function setOffset( $offset ) {
		$this->offset = $offset;

		return $this;
	}
}
