<?php
/**
 * Class CustomsAgreementData
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

/**
 * CustomsAgreementData
 */
class CustomsAgreementData {

	/**
	 * Not exceed value.
	 *
	 * @var bool|null
	 */
	private $notExceedValue;

	/**
	 * Not prohibited goods.
	 *
	 * @var bool|null
	 */
	private $notProhibitedGoods;

	/**
	 * Not restricted goods.
	 *
	 * @var bool|null
	 */
	private $notRestrictedGoods;

	/**
	 * Return associative array.
	 *
	 * @return array
	 */
	public function toArray(): array {
		return array(
			'notExceedValue'     => $this->getNotExceedValue(),
			'notProhibitedGoods' => $this->getNotProhibitedGoods(),
			'notRestrictedGoods' => $this->getNotRestrictedGoods(),
		);
	}

	/**
	 * Get not exceed value.
	 *
	 * @return  bool|null
	 */
	public function getNotExceedValue() {
		return $this->notExceedValue;
	}

	/**
	 * Set not exceed value.
	 *
	 * @param  bool|null $notExceedValue  Not exceed value.
	 *
	 * @return  self
	 */
	public function setNotExceedValue( $notExceedValue ) {
		$this->notExceedValue = $notExceedValue;

		return $this;
	}

	/**
	 * Get not prohibited goods.
	 *
	 * @return  bool|null
	 */
	public function getNotProhibitedGoods() {
		return $this->notProhibitedGoods;
	}

	/**
	 * Set not prohibited goods.
	 *
	 * @param  bool|null $notProhibitedGoods  Not prohibited goods.
	 *
	 * @return  self
	 */
	public function setNotProhibitedGoods( $notProhibitedGoods ) {
		$this->notProhibitedGoods = $notProhibitedGoods;

		return $this;
	}

	/**
	 * Get not restricted goods.
	 *
	 * @return  bool|null
	 */
	public function getNotRestrictedGoods() {
		return $this->notRestrictedGoods;
	}

	/**
	 * Set not restricted goods.
	 *
	 * @param  bool|null $notRestrictedGoods  Not restricted goods.
	 *
	 * @return  self
	 */
	public function setNotRestrictedGoods( $notRestrictedGoods ) {
		$this->notRestrictedGoods = $notRestrictedGoods;

		return $this;
	}
}
