<?php
/**
 * Class DeleteShipment
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;

/**
 * DeleteShipment
 */
class DeleteShipment implements ResultInterface {
	/**
	 * Parcel ID.
	 *
	 * @var string|null
	 */
	private $id;

	/**
	 * Results: true - successful deletion, false - shipment not deleted.
	 *
	 * @var bool|null
	 */
	private $result;

	/**
	 * Error content filled only when result = false.
	 *
	 * @var string|null
	 */
	private $error;

	/**
	 * Get parcel ID.
	 *
	 * @return string|null
	 */
	public function getId() {
		return $this->id;
	}

	/**
	 * Set parcel ID.
	 *
	 * @param string|null $id Parcel ID.
	 *
	 * @return self
	 */
	public function setId( $id ) {
		$this->id = $id;

		return $this;
	}

	/**
	 * Get results: true - successful deletion, false - shipment not deleted.
	 *
	 * @return bool|null
	 */
	public function getResult() {
		return $this->result;
	}

	/**
	 * Set results: true - successful deletion, false - shipment not deleted.
	 *
	 * @param bool|null $result Results: true - successful deletion, false - shipment not deleted.
	 *
	 * @return self
	 */
	public function setResult( $result ) {
		$this->result = $result;

		return $this;
	}

	/**
	 * Get error content filled only when result = false.
	 *
	 * @return string|null
	 */
	public function getError() {
		return $this->error;
	}

	/**
	 * Set error content filled only when result = false.
	 *
	 * @param string|null $error Error content filled only when result = false.
	 *
	 * @return self
	 */
	public function setError( $error ) {
		$this->error = $error;

		return $this;
	}
}
