<?php
/**
 * Class InternationalParam
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

/**
 * InternationalParam
 */
class InternationalParam {
	/**
	 * Country name.
	 *
	 * @var string|null
	 */
	private $countryName;

	/**
	 * Country name En.
	 *
	 * @var string|null
	 */
	private $countryNameEn;

	/**
	 * Country code.
	 *
	 * @var string|null
	 */
	private $countryCode;

	/**
	 * Product.
	 *
	 * @var string|null
	 */
	private $product;

	/**
	 * Piece header.
	 *
	 * @var string|null
	 */
	private $pieceHeader;

	/**
	 * Routing.
	 *
	 * @var string|null
	 */
	private $routing;

	/**
	 * Code2l.
	 *
	 * @var string|null
	 */
	private $code2l;

	/**
	 * Picku days.
	 *
	 * @var int|null
	 */
	private $pickupDays;

	/**
	 * Courier max weight.
	 *
	 * @var float|null
	 */
	private $courierMaxWeight;

	/**
	 * Courier max width.
	 *
	 * @var int|null
	 */
	private $courierMaxWidth;

	/**
	 * Courier max height.
	 *
	 * @var int|null
	 */
	private $courierMaxHeight;

	/**
	 * Courier max length.
	 *
	 * @var int|null
	 */
	private $courierMaxLength;

	/**
	 * Courier max cod.
	 *
	 * @var int|null
	 */
	private $courierMaxCod;

	/**
	 * Courier cod currency.
	 *
	 * @var string|null
	 */
	private $courierCodCurrency;

	/**
	 * Courier exchrate.
	 *
	 * @var float|null
	 */
	private $courierExchrate;

	/**
	 * Courier nst available.
	 *
	 * @var bool|null
	 */
	private $courierNstAvailable;

	/**
	 * Courier max nst.
	 *
	 * @var int|null
	 */
	private $courierMaxNst;

	/**
	 * Courier max girth.
	 *
	 * @var int|null
	 */
	private $courierMaxGirth;

	/**
	 * Packstation available.
	 *
	 * @var bool|null
	 */
	private $packstationAvailable;

	/**
	 * Packstation max weight.
	 *
	 * @var float|null
	 */
	private $packstationMaxWeight;

	/**
	 * Packstation max width.
	 *
	 * @var int|null
	 */
	private $packstationMaxWidth;

	/**
	 * Packstation max height.
	 *
	 * @var int|null
	 */
	private $packstationMaxHeight;

	/**
	 * Packstation max length.
	 *
	 * @var int|null
	 */
	private $packstationMaxLength;

	/**
	 * Postfiliale available.
	 *
	 * @var bool|null
	 */
	private $postfilialeAvailable;

	/**
	 * Postfiliale max weight.
	 *
	 * @var float|null
	 */
	private $postfilialeMaxWeight;

	/**
	 * Postfiliale max width.
	 *
	 * @var int|null
	 */
	private $postfilialeMaxWidth;

	/**
	 * Postfilialem max height.
	 *
	 * @var int|null
	 */
	private $postfilialeMaxHeight;

	/**
	 * Postfiliale max length.
	 *
	 * @var int|null
	 */
	private $postfilialeMaxLength;

	/**
	 * Zip format.
	 *
	 * @var string|null
	 */
	private $zipFormat;

	/**
	 * Identifier.
	 *
	 * @var string|null
	 */
	private $identifier;

	/**
	 * Email required.
	 *
	 * @var int|null
	 */
	private $emailRequired;

	/**
	 * Active.
	 *
	 * @var string|null
	 */
	private $active;

	/**
	 * Duty product.
	 *
	 * @var string|null
	 */
	private $dutyProduct;

	/**
	 * Duty pickup days.
	 *
	 * @var int|null
	 */
	private $dutyPickupDays;

	/**
	 * Duty piece header.
	 *
	 * @var string|null
	 */
	private $dutyPieceHeader;

	/**
	 * Duty max weight.
	 *
	 * @var float|null
	 */
	private $dutyMaxWeight;

	/**
	 * Duty max width.
	 *
	 * @var int|null
	 */
	private $dutyMaxWidth;

	/**
	 * Duty max height.
	 *
	 * @var int|null
	 */
	private $dutyMaxHeight;

	/**
	 * Duty max length.
	 *
	 * @var int|null
	 */
	private $dutyMaxLength;

	/**
	 * Duty Nst available.
	 *
	 * @var bool|null
	 */
	private $dutyNstAvailable;

	/**
	 * Duty max Nst.
	 *
	 * @var int|null
	 */
	private $dutyMaxNst;

	/**
	 * Duty max girth.
	 *
	 * @var int|null
	 */
	private $dutyMaxGirth;

	/**
	 * Get country name.
	 *
	 * @return string|null
	 */
	public function getCountryName() {
		return $this->countryName;
	}

	/**
	 * Set country name.
	 *
	 * @param string|null $countryName Country name.
	 *
	 * @return self
	 */
	public function setCountryName( $countryName ) {
		$this->countryName = $countryName;

		return $this;
	}

	/**
	 * Get country name En.
	 *
	 * @return string|null
	 */
	public function getCountryNameEn() {
		return $this->countryNameEn;
	}

	/**
	 * Set country name En.
	 *
	 * @param string|null $countryNameEn Country name En.
	 *
	 * @return self
	 */
	public function setCountryNameEn( $countryNameEn ) {
		$this->countryNameEn = $countryNameEn;

		return $this;
	}

	/**
	 * Get country code.
	 *
	 * @return string|null
	 */
	public function getCountryCode() {
		return $this->countryCode;
	}

	/**
	 * Set country code.
	 *
	 * @param string|null $countryCode Country code.
	 *
	 * @return self
	 */
	public function setCountryCode( $countryCode ) {
		$this->countryCode = $countryCode;

		return $this;
	}

	/**
	 * Get product.
	 *
	 * @return string|null
	 */
	public function getProduct() {
		return $this->product;
	}

	/**
	 * Set product.
	 *
	 * @param string|null $product Product.
	 *
	 * @return self
	 */
	public function setProduct( $product ) {
		$this->product = $product;

		return $this;
	}

	/**
	 * Get piece header.
	 *
	 * @return string|null
	 */
	public function getPieceHeader() {
		return $this->pieceHeader;
	}

	/**
	 * Set piece header.
	 *
	 * @param string|null $pieceHeader Piece header.
	 *
	 * @return self
	 */
	public function setPieceHeader( $pieceHeader ) {
		$this->pieceHeader = $pieceHeader;

		return $this;
	}

	/**
	 * Get routing.
	 *
	 * @return string|null
	 */
	public function getRouting() {
		return $this->routing;
	}

	/**
	 * Set routing.
	 *
	 * @param string|null $routing Routing.
	 *
	 * @return self
	 */
	public function setRouting( $routing ) {
		$this->routing = $routing;

		return $this;
	}

	/**
	 * Get code2l.
	 *
	 * @return string|null
	 */
	public function getCode2l() {
		return $this->code2l;
	}

	/**
	 * Set code2l.
	 *
	 * @param string|null $code2l Code2l.
	 *
	 * @return self
	 */
	public function setCode2l( $code2l ) {
		$this->code2l = $code2l;

		return $this;
	}

	/**
	 * Get picku days.
	 *
	 * @return int|null
	 */
	public function getPickupDays() {
		return $this->pickupDays;
	}

	/**
	 * Set picku days.
	 *
	 * @param int|null $pickupDays Picku days.
	 *
	 * @return self
	 */
	public function setPickupDays( $pickupDays ) {
		$this->pickupDays = $pickupDays;

		return $this;
	}

	/**
	 * Get courier max weight.
	 *
	 * @return float|null
	 */
	public function getCourierMaxWeight() {
		return $this->courierMaxWeight;
	}

	/**
	 * Set courier max weight.
	 *
	 * @param float|null $courierMaxWeight Courier max weight.
	 *
	 * @return self
	 */
	public function setCourierMaxWeight( $courierMaxWeight ) {
		$this->courierMaxWeight = $courierMaxWeight;

		return $this;
	}

	/**
	 * Get courier max width.
	 *
	 * @return int|null
	 */
	public function getCourierMaxWidth() {
		return $this->courierMaxWidth;
	}

	/**
	 * Set courier max width.
	 *
	 * @param int|null $courierMaxWidth Courier max width.
	 *
	 * @return self
	 */
	public function setCourierMaxWidth( $courierMaxWidth ) {
		$this->courierMaxWidth = $courierMaxWidth;

		return $this;
	}

	/**
	 * Get courier max height.
	 *
	 * @return int|null
	 */
	public function getCourierMaxHeight() {
		return $this->courierMaxHeight;
	}

	/**
	 * Set courier max height.
	 *
	 * @param int|null $courierMaxHeight Courier max height.
	 *
	 * @return self
	 */
	public function setCourierMaxHeight( $courierMaxHeight ) {
		$this->courierMaxHeight = $courierMaxHeight;

		return $this;
	}

	/**
	 * Get courier max length.
	 *
	 * @return int|null
	 */
	public function getCourierMaxLength() {
		return $this->courierMaxLength;
	}

	/**
	 * Set courier max length.
	 *
	 * @param int|null $courierMaxLength Courier max length.
	 *
	 * @return self
	 */
	public function setCourierMaxLength( $courierMaxLength ) {
		$this->courierMaxLength = $courierMaxLength;

		return $this;
	}

	/**
	 * Get courier max cod.
	 *
	 * @return int|null
	 */
	public function getCourierMaxCod() {
		return $this->courierMaxCod;
	}

	/**
	 * Set courier max cod.
	 *
	 * @param int|null $courierMaxCod Courier max cod.
	 *
	 * @return self
	 */
	public function setCourierMaxCod( $courierMaxCod ) {
		$this->courierMaxCod = $courierMaxCod;

		return $this;
	}

	/**
	 * Get courier cod currency.
	 *
	 * @return string|null
	 */
	public function getCourierCodCurrency() {
		return $this->courierCodCurrency;
	}

	/**
	 * Set courier cod currency.
	 *
	 * @param string|null $courierCodCurrency Courier cod currency.
	 *
	 * @return self
	 */
	public function setCourierCodCurrency( $courierCodCurrency ) {
		$this->courierCodCurrency = $courierCodCurrency;

		return $this;
	}

	/**
	 * Get courier exchrate.
	 *
	 * @return float|null
	 */
	public function getCourierExchrate() {
		return $this->courierExchrate;
	}

	/**
	 * Set courier exchrate.
	 *
	 * @param float|null $courierExchrate Courier exchrate.
	 *
	 * @return self
	 */
	public function setCourierExchrate( $courierExchrate ) {
		$this->courierExchrate = $courierExchrate;

		return $this;
	}

	/**
	 * Get courier nst available.
	 *
	 * @return bool|null
	 */
	public function getCourierNstAvailable() {
		return $this->courierNstAvailable;
	}

	/**
	 * Set courier nst available.
	 *
	 * @param bool|null $courierNstAvailable Courier nst available.
	 *
	 * @return self
	 */
	public function setCourierNstAvailable( $courierNstAvailable ) {
		$this->courierNstAvailable = $courierNstAvailable;

		return $this;
	}

	/**
	 * Get courier max nst.
	 *
	 * @return int|null
	 */
	public function getCourierMaxNst() {
		return $this->courierMaxNst;
	}

	/**
	 * Set courier max nst.
	 *
	 * @param int|null $courierMaxNst Courier max nst.
	 *
	 * @return self
	 */
	public function setCourierMaxNst( $courierMaxNst ) {
		$this->courierMaxNst = $courierMaxNst;

		return $this;
	}

	/**
	 * Get courier max girth.
	 *
	 * @return int|null
	 */
	public function getCourierMaxGirth() {
		return $this->courierMaxGirth;
	}

	/**
	 * Set courier max girth
	 *
	 * @param int|null $courierMaxGirth Courier max girth.
	 *
	 * @return self
	 */
	public function setCourierMaxGirth( $courierMaxGirth ) {
		$this->courierMaxGirth = $courierMaxGirth;

		return $this;
	}

	/**
	 * Get packstation available.
	 *
	 * @return bool|null
	 */
	public function getPackstationAvailable() {
		return $this->packstationAvailable;
	}

	/**
	 * Set packstation available.
	 *
	 * @param bool|null $packstationAvailable Packstation available.
	 *
	 * @return self
	 */
	public function setPackstationAvailable( $packstationAvailable ) {
		$this->packstationAvailable = $packstationAvailable;

		return $this;
	}

	/**
	 * Get packstation max weight.
	 *
	 * @return float|null
	 */
	public function getPackstationMaxWeight() {
		return $this->packstationMaxWeight;
	}

	/**
	 * Set packstation max weight.
	 *
	 * @param float|null $packstationMaxWeight Packstation max weight.
	 *
	 * @return self
	 */
	public function setPackstationMaxWeight( $packstationMaxWeight ) {
		$this->packstationMaxWeight = $packstationMaxWeight;

		return $this;
	}

	/**
	 * Get packstation max width.
	 *
	 * @return int|null
	 */
	public function getPackstationMaxWidth() {
		return $this->packstationMaxWidth;
	}

	/**
	 * Set packstation max width.
	 *
	 * @param int|null $packstationMaxWidth Packstation max width.
	 *
	 * @return self
	 */
	public function setPackstationMaxWidth( $packstationMaxWidth ) {
		$this->packstationMaxWidth = $packstationMaxWidth;

		return $this;
	}

	/**
	 * Get packstation max height.
	 *
	 * @return int|null
	 */
	public function getPackstationMaxHeight() {
		return $this->packstationMaxHeight;
	}

	/**
	 * Set packstation max height.
	 *
	 * @param int|null $packstationMaxHeight Packstation max height.
	 *
	 * @return self
	 */
	public function setPackstationMaxHeight( $packstationMaxHeight ) {
		$this->packstationMaxHeight = $packstationMaxHeight;

		return $this;
	}

	/**
	 * Get packstation max length.
	 *
	 * @return int|null
	 */
	public function getPackstationMaxLength() {
		return $this->packstationMaxLength;
	}

	/**
	 * Set packstation max length.
	 *
	 * @param int|null $packstationMaxLength Packstation max length.
	 *
	 * @return self
	 */
	public function setPackstationMaxLength( $packstationMaxLength ) {
		$this->packstationMaxLength = $packstationMaxLength;

		return $this;
	}

	/**
	 * Get postfiliale available.
	 *
	 * @return bool|null
	 */
	public function getPostfilialeAvailable() {
		return $this->postfilialeAvailable;
	}

	/**
	 * Set postfiliale available.
	 *
	 * @param bool|null $postfilialeAvailable Postfiliale available.
	 *
	 * @return self
	 */
	public function setPostfilialeAvailable( $postfilialeAvailable ) {
		$this->postfilialeAvailable = $postfilialeAvailable;

		return $this;
	}

	/**
	 * Get postfiliale max weight.
	 *
	 * @return float|null
	 */
	public function getPostfilialeMaxWeight() {
		return $this->postfilialeMaxWeight;
	}

	/**
	 * Set postfiliale max weight.
	 *
	 * @param float|null $postfilialeMaxWeight Postfiliale max weight.
	 *
	 * @return self
	 */
	public function setPostfilialeMaxWeight( $postfilialeMaxWeight ) {
		$this->postfilialeMaxWeight = $postfilialeMaxWeight;

		return $this;
	}

	/**
	 * Get postfiliale max width.
	 *
	 * @return int|null
	 */
	public function getPostfilialeMaxWidth() {
		return $this->postfilialeMaxWidth;
	}

	/**
	 * Set postfiliale max width.
	 *
	 * @param int|null $postfilialeMaxWidth Postfiliale max width.
	 *
	 * @return self
	 */
	public function setPostfilialeMaxWidth( $postfilialeMaxWidth ) {
		$this->postfilialeMaxWidth = $postfilialeMaxWidth;

		return $this;
	}

	/**
	 * Get postfilialem max height.
	 *
	 * @return int|null
	 */
	public function getPostfilialeMaxHeight() {
		return $this->postfilialeMaxHeight;
	}

	/**
	 * Set postfilialem max height.
	 *
	 * @param int|null $postfilialeMaxHeight Postfilialem max height.
	 *
	 * @return self
	 */
	public function setPostfilialeMaxHeight( $postfilialeMaxHeight ) {
		$this->postfilialeMaxHeight = $postfilialeMaxHeight;

		return $this;
	}

	/**
	 * Get postfiliale max length.
	 *
	 * @return int|null
	 */
	public function getPostfilialeMaxLength() {
		return $this->postfilialeMaxLength;
	}

	/**
	 * Set postfiliale max length.
	 *
	 * @param int|null $postfilialeMaxLength Postfiliale max length.
	 *
	 * @return self
	 */
	public function setPostfilialeMaxLength( $postfilialeMaxLength ) {
		$this->postfilialeMaxLength = $postfilialeMaxLength;

		return $this;
	}

	/**
	 * Get zip format.
	 *
	 * @return string|null
	 */
	public function getZipFormat() {
		return $this->zipFormat;
	}

	/**
	 * Set zip format.
	 *
	 * @param string|null $zipFormat Zip format.
	 *
	 * @return self
	 */
	public function setZipFormat( $zipFormat ) {
		$this->zipFormat = $zipFormat;

		return $this;
	}

	/**
	 * Get identifier.
	 *
	 * @return string|null
	 */
	public function getIdentifier() {
		return $this->identifier;
	}

	/**
	 * Set identifier.
	 *
	 * @param string|null $identifier Identifier.
	 *
	 * @return self
	 */
	public function setIdentifier( $identifier ) {
		$this->identifier = $identifier;

		return $this;
	}

	/**
	 * Get email required.
	 *
	 * @return int|null
	 */
	public function getEmailRequired() {
		return $this->emailRequired;
	}

	/**
	 * Set email required.
	 *
	 * @param int|null $emailRequired Email required.
	 *
	 * @return self
	 */
	public function setEmailRequired( $emailRequired ) {
		$this->emailRequired = $emailRequired;

		return $this;
	}

	/**
	 * Get active.
	 *
	 * @return string|null
	 */
	public function getActive() {
		return $this->active;
	}

	/**
	 * Set active.
	 *
	 * @param string|null $active Active.
	 *
	 * @return self
	 */
	public function setActive( $active ) {
		$this->active = $active;

		return $this;
	}

	/**
	 * Get duty product.
	 *
	 * @return string|null
	 */
	public function getDutyProduct() {
		return $this->dutyProduct;
	}

	/**
	 * Set duty product.
	 *
	 * @param string|null $dutyProduct Duty product.
	 *
	 * @return self
	 */
	public function setDutyProduct( $dutyProduct ) {
		$this->dutyProduct = $dutyProduct;

		return $this;
	}

	/**
	 * Get duty pickup days.
	 *
	 * @return int|null
	 */
	public function getDutyPickupDays() {
		return $this->dutyPickupDays;
	}

	/**
	 * Set duty pickup days.
	 *
	 * @param int|null $dutyPickupDays Duty pickup days.
	 *
	 * @return self
	 */
	public function setDutyPickupDays( $dutyPickupDays ) {
		$this->dutyPickupDays = $dutyPickupDays;

		return $this;
	}

	/**
	 * Get duty piece header.
	 *
	 * @return string|null
	 */
	public function getDutyPieceHeader() {
		return $this->dutyPieceHeader;
	}

	/**
	 * Set duty piece header.
	 *
	 * @param string|null $dutyPieceHeader Duty piece header.
	 *
	 * @return self
	 */
	public function setDutyPieceHeader( $dutyPieceHeader ) {
		$this->dutyPieceHeader = $dutyPieceHeader;

		return $this;
	}

	/**
	 * Get duty max weight.
	 *
	 * @return float|null
	 */
	public function getDutyMaxWeight() {
		return $this->dutyMaxWeight;
	}

	/**
	 * Set duty max weight.
	 *
	 * @param float|null $dutyMaxWeight Duty max weight.
	 *
	 * @return self
	 */
	public function setDutyMaxWeight( $dutyMaxWeight ) {
		$this->dutyMaxWeight = $dutyMaxWeight;

		return $this;
	}

	/**
	 * Get duty max width.
	 *
	 * @return int|null
	 */
	public function getDutyMaxWidth() {
		return $this->dutyMaxWidth;
	}

	/**
	 * Set duty max width.
	 *
	 * @param int|null $dutyMaxWidth Duty max width.
	 *
	 * @return self
	 */
	public function setDutyMaxWidth( $dutyMaxWidth ) {
		$this->dutyMaxWidth = $dutyMaxWidth;

		return $this;
	}

	/**
	 * Get duty max height.
	 *
	 * @return int|null
	 */
	public function getDutyMaxHeight() {
		return $this->dutyMaxHeight;
	}

	/**
	 * Set duty max height.
	 *
	 * @param int|null $dutyMaxHeight Duty max height.
	 *
	 * @return self
	 */
	public function setDutyMaxHeight( $dutyMaxHeight ) {
		$this->dutyMaxHeight = $dutyMaxHeight;

		return $this;
	}

	/**
	 * Get duty max length.
	 *
	 * @return int|null
	 */
	public function getDutyMaxLength() {
		return $this->dutyMaxLength;
	}

	/**
	 * Set duty max length.
	 *
	 * @param int|null $dutyMaxLength Duty max length.
	 *
	 * @return self
	 */
	public function setDutyMaxLength( $dutyMaxLength ) {
		$this->dutyMaxLength = $dutyMaxLength;

		return $this;
	}

	/**
	 * Get duty Nst available.
	 *
	 * @return bool|null
	 */
	public function getDutyNstAvailable() {
		return $this->dutyNstAvailable;
	}

	/**
	 * Set duty Nst available.
	 *
	 * @param bool|null $dutyNstAvailable Duty Nst available.
	 *
	 * @return self
	 */
	public function setDutyNstAvailable( $dutyNstAvailable ) {
		$this->dutyNstAvailable = $dutyNstAvailable;

		return $this;
	}

	/**
	 * Get duty max Nst.
	 *
	 * @return int|null
	 */
	public function getDutyMaxNst() {
		return $this->dutyMaxNst;
	}

	/**
	 * Set duty max Nst.
	 *
	 * @param int|null $dutyMaxNst Duty max Nst.
	 *
	 * @return self
	 */
	public function setDutyMaxNst( $dutyMaxNst ) {
		$this->dutyMaxNst = $dutyMaxNst;

		return $this;
	}

	/**
	 * Get duty max girth.
	 *
	 * @return int|null
	 */
	public function getDutyMaxGirth() {
		return $this->dutyMaxGirth;
	}

	/**
	 * Set duty max girth.
	 *
	 * @param int|null $dutyMaxGirth Duty max girth.
	 *
	 * @return self
	 */
	public function setDutyMaxGirth( $dutyMaxGirth ) {
		$this->dutyMaxGirth = $dutyMaxGirth;

		return $this;
	}
}
