<?php
/**
 * Class InternationalParams
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;

/**
 * InternationalParams
 */
class InternationalParams implements ResultInterface {
	/**
	 * Array of InternationalParam.
	 *
	 * @var \ArrayObject|InternationalParam[]
	 */
	private $params;

	/**
	 * Count
	 *
	 * @var int
	 */
	private $count;

	/**
	 * Construct
	 *
	 * @return void
	 */
	public function __construct() {
		$this->params = new \ArrayObject();
		$this->count  = 0;
	}

	/**
	 * Get params.
	 *
	 * @return \ArrayObject
	 */
	public function getParams(): \ArrayObject {
		return $this->params;
	}

	/**
	 * Add Param.
	 *
	 * @param InternationalParam $param InternationalParam.
	 *
	 * @return InternationalParams
	 */
	public function addParam( InternationalParam $param ): self {
		$this->params->append( $param );

		return $this;
	}

	/**
	 * Remove Param.
	 *
	 * @param InternationalParam $param InternationalParam.
	 *
	 * @return InternationalParams
	 */
	public function removeParam( InternationalParam $param ): self {
		// TODO.

		return $this;
	}

	/**
	 * Get count.
	 *
	 * @return int
	 */
	public function getCount(): int {
		return $this->count;
	}

	/**
	 * Set count.
	 *
	 * @param int $count count.
	 * @return InternationalParams
	 */
	public function setCount( int $count ): self {
		$this->count = $count;

		return $this;
	}
}
