<?php
/**
 * Class InternationalParams2
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;

/**
 * InternationalParams2
 */
class InternationalParams2 implements ResultInterface {
	/**
	 * Array of pip2Country.
	 *
	 * @var \ArrayObject|pip2Country[]
	 */
	private $params;

	/**
	 * Construct
	 *
	 * @return void
	 */
	public function __construct() {
		$this->params = new \ArrayObject();
	}

	/**
	 * Get params.
	 *
	 * @return \ArrayObject
	 */
	public function getParams(): \ArrayObject {
		return $this->params;
	}

	/**
	 * Add Param.
	 *
	 * @param pip2Country $param Pip2Country.
	 *
	 * @return InternationalParams
	 */
	public function addParam( pip2Country $param ): self {
		$this->params->append( $param );

		return $this;
	}

	/**
	 * Remove Param.
	 *
	 * @param pip2Country $param Pip2Country.
	 *
	 * @return InternationalParams
	 */
	public function removeParam( pip2Country $param ): self {
		// TODO.

		return $this;
	}
}
