<?php
/**
 * Class ItemToLabelData
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

/**
 * ItemToLabelData
 */
class ItemToLabelData {
	/**
	 * Shipment number of the shipment for which information is to be downloaded.
	 *
	 * @var string
	 */
	private $shipmentId = '';

	/**
	 * Return associative array.
	 *
	 * @return array
	 */
	public function toArray(): array {
		return array(
			'shipmentId' => $this->getShipmentId(),
		);
	}

	/**
	 * Get shipment number of the shipment for which information is to be downloaded.
	 *
	 * @return string
	 */
	public function getShipmentId(): string {
		return $this->shipmentId;
	}

	/**
	 * Set shipment number of the shipment for which information is to be downloaded.
	 *
	 * @param string $shipmentId Shipment number of the shipment for which information is to be downloaded.
	 *
	 * @return self
	 */
	public function setShipmentId( string $shipmentId ): self {
		$this->shipmentId = $shipmentId;

		return $this;
	}
}
