<?php
/**
 * Class Labels
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;

/**
 * Labels
 */
class Labels implements ResultInterface {
	/**
	 * Array of LabelsItem.
	 *
	 * @var \ArrayObject|LabelsItem[]
	 */
	private $items;

	/**
	 * Construct
	 *
	 * @return void
	 */
	public function __construct() {
		$this->items = new \ArrayObject();
	}

	/**
	 * Get items.
	 *
	 * @return \ArrayObject|LabelsItem[]
	 */
	public function getItems(): \ArrayObject {
		return $this->items;
	}

	/**
	 * Add Item.
	 *
	 * @param LabelsItem $item Item.
	 *
	 * @return Strings
	 */
	public function addItem( LabelsItem $item ): self {
		$this->items->append( $item );

		return $this;
	}

	/**
	 * Remove Item.
	 *
	 * @param LabelsItem $item Item.
	 *
	 * @return Strings
	 */
	public function removeItem( LabelsItem $item ): self {
		// TODO.

		return $this;
	}
}
