<?php
/**
 * Class LabelsDatas
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;

/**
 * LabelsDatas
 */
class LabelsDatas implements ResultInterface {
	/**
	 * Array of LabelsData.
	 *
	 * @var \ArrayObject|LabelsData[]
	 */
	private $items;

	/**
	 * Construct
	 *
	 * @return void
	 */
	public function __construct() {
		$this->items = new \ArrayObject();
	}

	/**
	 * Get items.
	 *
	 * @return \ArrayObject|LabelsData[]
	 */
	public function getItems(): \ArrayObject {
		return $this->items;
	}

	/**
	 * Add Item.
	 *
	 * @param LabelsData $item LabelsData.
	 *
	 * @return LabelsDatas
	 */
	public function addItem( LabelsData $item ): self {
		$this->items->append( $item );

		return $this;
	}

	/**
	 * Remove Item.
	 *
	 * @param LabelsData $item LabelsData.
	 *
	 * @return LabelsDatas
	 */
	public function removeItem( LabelsData $item ): self {
		// TODO.

		return $this;
	}
}
