<?php
/**
 * Class PieceShipmentItem
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

/**
 * PieceShipmentItem
 */
class PieceShipmentItem {
	/**
	 * Shipment number.
	 *
	 * @var int|null
	 */
	private $shipmentNumber;

	/**
	 * Codex number.
	 *
	 * @var string|null
	 */
	private $cedexNumber;

	/**
	 * Package number.
	 *
	 * @var string|null
	 */
	private $packageNumber;

	/**
	 * Return associative array.
	 *
	 * @return array
	 */
	public function toArray(): array {
		return array(
			'shipmentNumber' => $this->getShipmentNumber(),
			'cedexNumber'    => $this->getCedexNumber(),
			'packageNumber'  => $this->getPackageNumber(),
		);
	}

	/**
	 * Get shipment number.
	 *
	 * @return  int|null
	 */
	public function getShipmentNumber() {
		return $this->shipmentNumber;
	}

	/**
	 * Set shipment number.
	 *
	 * @param  int|null $shipmentNumber  Shipment number.
	 *
	 * @return  self
	 */
	public function setShipmentNumber( $shipmentNumber ) {
		$this->shipmentNumber = $shipmentNumber;

		return $this;
	}

	/**
	 * Get codex number.
	 *
	 * @return  string|null
	 */
	public function getCedexNumber() {
		return $this->cedexNumber;
	}

	/**
	 * Set codex number.
	 *
	 * @param  string|null $cedexNumber  Codex number.
	 *
	 * @return  self
	 */
	public function setCedexNumber( $cedexNumber ) {
		$this->cedexNumber = $cedexNumber;

		return $this;
	}

	/**
	 * Get package number.
	 *
	 * @return  string|null
	 */
	public function getPackageNumber() {
		return $this->packageNumber;
	}

	/**
	 * Set package number.
	 *
	 * @param  string|null $packageNumber  Package number.
	 *
	 * @return  self
	 */
	public function setPackageNumber( $packageNumber ) {
		$this->packageNumber = $packageNumber;

		return $this;
	}
}
