<?php
/**
 * Class Pip2Country
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

/**
 * Pip2Country
 */
class Pip2Country {
	/**
	 * Country name.
	 *
	 * @var string|null
	 */
	private $countryName;

	/**
	 * Country name EN.
	 *
	 * @var string|null
	 */
	private $countryNameEn;

	/**
	 * Two-letter country code.
	 *
	 * @var string|null
	 */
	private $countryCode;

	/**
	 * Array of pip2param.
	 *
	 * @var \ArrayObject|Pip2param[]
	 */
	private $products;

	/**
	 * Construct
	 *
	 * @return void
	 */
	public function __construct() {
		$this->products = new \ArrayObject();
	}


	/**
	 * Get country name.
	 *
	 * @return  string|null
	 */
	public function getCountryName() {
		return $this->countryName;
	}

	/**
	 * Set country name.
	 *
	 * @param  string|null $countryName  Country name.
	 *
	 * @return  self
	 */
	public function setCountryName( $countryName ) {
		$this->countryName = $countryName;

		return $this;
	}

	/**
	 * Get country name EN.
	 *
	 * @return  string|null
	 */
	public function getCountryNameEn() {
		return $this->countryNameEn;
	}

	/**
	 * Set country name EN.
	 *
	 * @param  string|null $countryNameEn  Country name EN.
	 *
	 * @return  self
	 */
	public function setCountryNameEn( $countryNameEn ) {
		$this->countryNameEn = $countryNameEn;

		return $this;
	}

	/**
	 * Get two-letter country code.
	 *
	 * @return  string|null
	 */
	public function getCountryCode() {
		return $this->countryCode;
	}

	/**
	 * Set two-letter country code.
	 *
	 * @param  string|null $countryCode  Two-letter country code.
	 *
	 * @return  self
	 */
	public function setCountryCode( $countryCode ) {
		$this->countryCode = $countryCode;

		return $this;
	}

	/**
	 * Get array of pip2param.
	 *
	 * @return  \ArrayObject|Pip2param[]
	 */
	public function getProducts() {
		return $this->products;
	}

	/**
	 * Add pip2param.
	 *
	 * @param  Pip2param $products Pip2param.
	 *
	 * @return  self
	 */
	public function addProduct( Pip2param $products ) {
		$this->products->append( $products );

		return $this;
	}

	/**
	 * Remove pip2param.
	 *
	 * @param  Pip2param $products Pip2param.
	 *
	 * @return  self
	 */
	public function removeProduct( Pip2param $products ) {
		// TODO.

		return $this;
	}
}
