<?php
/**
 * Class Pip2Param
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

/**
 * Pip2Param
 */
class Pip2Param {
	/**
	 * Customer type.
	 *
	 * @var string|null
	 */
	private $customerType;

	/**
	 * Element type.
	 *
	 * @var string|null
	 */
	private $elementType;

	/**
	 * Pick up days.
	 *
	 * @var string|null
	 */
	private $pickUpDays;

	/**
	 * Product.
	 *
	 * @var string|null
	 */
	private $product;

	/**
	 * Piece header.
	 *
	 * @var string|null
	 */
	private $pieceHeader;

	/**
	 * Routing.
	 *
	 * @var string|null
	 */
	private $routing;

	/**
	 * Code.
	 *
	 * @var int|null
	 */
	private $code;

	/**
	 * Max weight.
	 *
	 * @var float|null
	 */
	private $maxWeight;

	/**
	 * Max width.
	 *
	 * @var int|null
	 */
	private $maxWidth;

	/**
	 * Max length.
	 *
	 * @var int|null
	 */
	private $maxLength;

	/**
	 * Max height.
	 *
	 * @var int|null
	 */
	private $maxHeight;

	/**
	 * Max shipment weight.
	 *
	 * @var float|null
	 */
	private $maxShipmentWeight;

	/**
	 * Max shipment pc.
	 *
	 * @var int|null
	 */
	private $maxShipmentPc;

	/**
	 * Max cod.
	 *
	 * @var int|null
	 */
	private $maxCod;

	/**
	 * Cod currency.
	 *
	 * @var string|null
	 */
	private $codCurrency;

	/**
	 * Exch rate.
	 *
	 * @var float|null
	 */
	private $exchRate;

	/**
	 * NST.
	 *
	 * @var bool|null
	 */
	private $nst;

	/**
	 * Max NST.
	 *
	 * @var int|null
	 */
	private $maxNst;

	/**
	 * Girth.
	 *
	 * @var int|null
	 */
	private $girth;

	/**
	 * Pack station.
	 *
	 * @var bool|null
	 */
	private $packstation;

	/**
	 * Ps max weight.
	 *
	 * @var float|null
	 */
	private $psMaxWeight;

	/**
	 * Ps max length.
	 *
	 * @var float|null
	 */
	private $psMaxLength;

	/**
	 * Ps max width.
	 *
	 * @var float|null
	 */
	private $psMaxWidth;

	/**
	 * Ps max height.
	 *
	 * @var float|null
	 */
	private $psMaxHeight;

	/**
	 * Postfiliale.
	 *
	 * @var int|null
	 */
	private $postfiliale;

	/**
	 * Pf max weight.
	 *
	 * @var float|null
	 */
	private $pfMaxWeight;

	/**
	 * Pf max width.
	 *
	 * @var int|null
	 */
	private $pfMaxWidth;

	/**
	 * Pf max height.
	 *
	 * @var int|null
	 */
	private $pfMaxHeight;

	/**
	 * Pf max length.
	 *
	 * @var int|null
	 */
	private $pfMaxLength;

	/**
	 * Zip format.
	 *
	 * @var string|null
	 */
	private $zipFormat;

	/**
	 * Active.
	 *
	 * @var bool|null
	 */
	private $active;

	/**
	 * Identifier.
	 *
	 * @var string|null
	 */
	private $identifier;

	/**
	 * Email rec.
	 *
	 * @var bool|null
	 */
	private $emailRec;

	/**
	 * Delivery method.
	 *
	 * @var string|null
	 */
	private $deliveryMethod;

	/**
	 * Delivery option.
	 *
	 * @var string|null
	 */
	private $deliveryOption;

	/**
	 * Delivery info.
	 *
	 * @var string|null
	 */
	private $deliveryInfo;

	/**
	 * Tnt url.
	 *
	 * @var string|null
	 */
	private $tntUrl;

	/**
	 * Email sen.
	 *
	 * @var bool|null
	 */
	private $emailSen;

	/**
	 * Mob phone rec.
	 *
	 * @var bool|null
	 */
	private $mobPhoneRec;

	/**
	 * Insurance base.
	 *
	 * @var int|null
	 */
	private $insuranceBase;

	/**
	 * Insurance max cach pln.
	 *
	 * @var int|null
	 */
	private $insuranceMaxcashPln;

	/**
	 * Zip format info.
	 *
	 * @var string|null
	 */
	private $zipformatInfo;

	/**
	 * Print receivers phone.
	 *
	 * @var bool|null
	 */
	private $printReceiversPhone;

	/**
	 * Country UE.
	 *
	 * @var bool|null
	 */
	private $countryUe;

	/**
	 * Delivery option EN.
	 *
	 * @var string|null
	 */
	private $deliveryOptionEn;

	/**
	 * Delivery info EN.
	 *
	 * @var string|null
	 */
	private $deliveryInfoEn;

	/**
	 * Zip format info EN.
	 *
	 * @var string|null
	 */
	private $zipformatInfoEn;

	/**
	 * Country code 3.
	 *
	 * @var string|null
	 */
	private $countryCode3;

	/**
	 * Mob phone sen.
	 *
	 * @var bool|null
	 */
	private $mobPhoneSen;

	/**
	 * Route label.
	 *
	 * @var string|null
	 */
	private $routeLabel;

	/**
	 * Max value.
	 *
	 * @var int|null
	 */
	private $maxValue;

	/**
	 * Product name.
	 *
	 * @var string|null
	 */
	private $productName;

	/**
	 * Duty individual.
	 *
	 * @var bool|null
	 */
	private $dutyIndividual;

	/**
	 * Duty simple.
	 *
	 * @var bool|null
	 */
	private $dutySimple;

	/**
	 * Dhl24 available.
	 *
	 * @var bool|null
	 */
	private $dhl24Available;

	/**
	 * Dhl24Fu available.
	 *
	 * @var bool|null
	 */
	private $dhl24FuAvailable;

	/**
	 * Is available.
	 *
	 * @var bool|null
	 */
	private $isbAvailable;

	/**
	 * Psm available.
	 *
	 * @var bool|null
	 */
	private $psmAvailable;

	/**
	 * Mob phone sp rec.
	 *
	 * @var bool|null
	 */
	private $mobPhoneSpRec;

	/**
	 * Email sp rec.
	 *
	 * @var bool|null
	 */
	private $emailSpRec;

	/**
	 * Email pl rec.
	 *
	 * @var bool|null
	 */
	private $emailPlRec;

	/**
	 * Mob phone pl rec.
	 *
	 * @var bool|null
	 */
	private $mobPhonePlRec;

	/**
	 * Pod available.
	 *
	 * @var bool|null
	 */
	private $podAvailable;

	/**
	 * Min length.
	 *
	 * @var int|null
	 */
	private $minLength;

	/**
	 * Min width.
	 *
	 * @var int|null
	 */
	private $minWidth;

	/**
	 * Min height.
	 *
	 * @var int|null
	 */
	private $minHeight;

	/**
	 * Tm NST kurier.
	 *
	 * @var bool|null
	 */
	private $fmNstKurier;

	/**
	 * Adhockpickup.
	 *
	 * @var bool|null
	 */
	private $adhocpickup;

	/**
	 * Fm NST pf.
	 *
	 * @var bool|null
	 */
	private $fmNstPf;

	/**
	 * Fm NST ps.
	 *
	 * @var bool|null
	 */
	private $fmNstPs;

	/**
	 * Get customer type.
	 *
	 * @return string|null
	 */
	public function getCustomerType() {
		return $this->customerType;
	}

	/**
	 * Set customer type.
	 *
	 * @param string|null $customerType Customer type.
	 *
	 * @return self
	 */
	public function setCustomerType( $customerType ) {
		$this->customerType = $customerType;

		return $this;
	}

	/**
	 * Get element type.
	 *
	 * @return string|null
	 */
	public function getElementType() {
		return $this->elementType;
	}

	/**
	 * Set element type.
	 *
	 * @param string|null $elementType Element type.
	 *
	 * @return self
	 */
	public function setElementType( $elementType ) {
		$this->elementType = $elementType;

		return $this;
	}

	/**
	 * Get pick up days.
	 *
	 * @return string|null
	 */
	public function getPickUpDays() {
		return $this->pickUpDays;
	}

	/**
	 * Set pick up days.
	 *
	 * @param string|null $pickUpDays Pick up days.
	 *
	 * @return self
	 */
	public function setPickUpDays( $pickUpDays ) {
		$this->pickUpDays = $pickUpDays;

		return $this;
	}

	/**
	 * Get product.
	 *
	 * @return string|null
	 */
	public function getProduct() {
		return $this->product;
	}

	/**
	 * Set product.
	 *
	 * @param string|null $product Product.
	 *
	 * @return self
	 */
	public function setProduct( $product ) {
		$this->product = $product;

		return $this;
	}

	/**
	 * Get piece header.
	 *
	 * @return string|null
	 */
	public function getPieceHeader() {
		return $this->pieceHeader;
	}

	/**
	 * Set piece header.
	 *
	 * @param string|null $pieceHeader Piece header.
	 *
	 * @return self
	 */
	public function setPieceHeader( $pieceHeader ) {
		$this->pieceHeader = $pieceHeader;

		return $this;
	}

	/**
	 * Get routing.
	 *
	 * @return string|null
	 */
	public function getRouting() {
		return $this->routing;
	}

	/**
	 * Set routing.
	 *
	 * @param string|null $routing Routing.
	 *
	 * @return self
	 */
	public function setRouting( $routing ) {
		$this->routing = $routing;

		return $this;
	}

	/**
	 * Get code.
	 *
	 * @return int|null
	 */
	public function getCode() {
		return $this->code;
	}

	/**
	 * Set code.
	 *
	 * @param int $code Code.
	 *
	 * @return self
	 */
	public function setCode( $code ) {
		$this->code = $code;

		return $this;
	}

	/**
	 * Get max weight.
	 *
	 * @return float|null
	 */
	public function getMaxWeight() {
		return $this->maxWeight;
	}

	/**
	 * Set max weight.
	 *
	 * @param float $maxWeight Max weight.
	 *
	 * @return self
	 */
	public function setMaxWeight( $maxWeight ) {
		$this->maxWeight = $maxWeight;

		return $this;
	}

	/**
	 * Get max width.
	 *
	 * @return int|null
	 */
	public function getMaxWidth() {
		return $this->maxWidth;
	}

	/**
	 * Set max width.
	 *
	 * @param int $maxWidth Max width.
	 *
	 * @return self
	 */
	public function setMaxWidth( $maxWidth ) {
		$this->maxWidth = $maxWidth;

		return $this;
	}

	/**
	 * Get max length.
	 *
	 * @return int|null
	 */
	public function getMaxLength() {
		return $this->maxLength;
	}

	/**
	 * Set max length.
	 *
	 * @param int $maxLength Max length.
	 *
	 * @return self
	 */
	public function setMaxLength( $maxLength ) {
		$this->maxLength = $maxLength;

		return $this;
	}

	/**
	 * Get max height.
	 *
	 * @return int|null
	 */
	public function getMaxHeight() {
		return $this->maxHeight;
	}

	/**
	 * Set max height.
	 *
	 * @param int $maxHeight Max height.
	 *
	 * @return self
	 */
	public function setMaxHeight( $maxHeight ) {
		$this->maxHeight = $maxHeight;

		return $this;
	}

	/**
	 * Get max shipment weight.
	 *
	 * @return float|null
	 */
	public function getMaxShipmentWeight() {
		return $this->maxShipmentWeight;
	}

	/**
	 * Set max shipment weight.
	 *
	 * @param float $maxShipmentWeight Max shipment weight.
	 *
	 * @return self
	 */
	public function setMaxShipmentWeight( $maxShipmentWeight ) {
		$this->maxShipmentWeight = $maxShipmentWeight;

		return $this;
	}

	/**
	 * Get max shipment pc.
	 *
	 * @return int|null
	 */
	public function getMaxShipmentPc() {
		return $this->maxShipmentPc;
	}

	/**
	 * Set max shipment pc.
	 *
	 * @param int $maxShipmentPc Max shipment pc.
	 *
	 * @return self
	 */
	public function setMaxShipmentPc( $maxShipmentPc ) {
		$this->maxShipmentPc = $maxShipmentPc;

		return $this;
	}

	/**
	 * Get max cod.
	 *
	 * @return int|null
	 */
	public function getMaxCod() {
		return $this->maxCod;
	}

	/**
	 * Set max cod.
	 *
	 * @param int $maxCod Max cod.
	 *
	 * @return self
	 */
	public function setMaxCod( $maxCod ) {
		$this->maxCod = $maxCod;

		return $this;
	}

	/**
	 * Get cod currency.
	 *
	 * @return string|null
	 */
	public function getCodCurrency() {
		return $this->codCurrency;
	}

	/**
	 * Set cod currency.
	 *
	 * @param string|null $codCurrency Cod currency.
	 *
	 * @return self
	 */
	public function setCodCurrency( $codCurrency ) {
		$this->codCurrency = $codCurrency;

		return $this;
	}

	/**
	 * Get exch rate.
	 *
	 * @return float|null
	 */
	public function getExchRate() {
		return $this->exchRate;
	}

	/**
	 * Set exch rate.
	 *
	 * @param float $exchRate Exch rate.
	 *
	 * @return self
	 */
	public function setExchRate( $exchRate ) {
		$this->exchRate = $exchRate;

		return $this;
	}

	/**
	 * Get nST.
	 *
	 * @return bool|null
	 */
	public function getNst() {
		return $this->nst;
	}

	/**
	 * Set nST.
	 *
	 * @param bool $nst NST.
	 *
	 * @return self
	 */
	public function setNst( $nst ) {
		$this->nst = $nst;

		return $this;
	}

	/**
	 * Get max NST.
	 *
	 * @return int|null
	 */
	public function getMaxNst() {
		return $this->maxNst;
	}

	/**
	 * Set max NST.
	 *
	 * @param int $maxNst Max NST.
	 *
	 * @return self
	 */
	public function setMaxNst( $maxNst ) {
		$this->maxNst = $maxNst;

		return $this;
	}

	/**
	 * Get girth.
	 *
	 * @return int|null
	 */
	public function getGirth() {
		return $this->girth;
	}

	/**
	 * Set girth.
	 *
	 * @param int $girth Girth.
	 *
	 * @return self
	 */
	public function setGirth( $girth ) {
		$this->girth = $girth;

		return $this;
	}

	/**
	 * Get pack station.
	 *
	 * @return bool|null
	 */
	public function getPackstation() {
		return $this->packstation;
	}

	/**
	 * Set pack station.
	 *
	 * @param bool $packstation Pack station.
	 *
	 * @return self
	 */
	public function setPackstation( $packstation ) {
		$this->packstation = $packstation;

		return $this;
	}

	/**
	 * Get ps max weight.
	 *
	 * @return float|null
	 */
	public function getPsMaxWeight() {
		return $this->psMaxWeight;
	}

	/**
	 * Set ps max weight.
	 *
	 * @param float $psMaxWeight Ps max weight.
	 *
	 * @return self
	 */
	public function setPsMaxWeight( $psMaxWeight ) {
		$this->psMaxWeight = $psMaxWeight;

		return $this;
	}

	/**
	 * Get ps max length.
	 *
	 * @return float|null
	 */
	public function getPsMaxLength() {
		return $this->psMaxLength;
	}

	/**
	 * Set ps max length.
	 *
	 * @param float $psMaxLength Ps max length.
	 *
	 * @return self
	 */
	public function setPsMaxLength( $psMaxLength ) {
		$this->psMaxLength = $psMaxLength;

		return $this;
	}

	/**
	 * Get ps max width.
	 *
	 * @return float|null
	 */
	public function getPsMaxWidth() {
		return $this->psMaxWidth;
	}

	/**
	 * Set ps max width.
	 *
	 * @param float $psMaxWidth Ps max width.
	 *
	 * @return self
	 */
	public function setPsMaxWidth( $psMaxWidth ) {
		$this->psMaxWidth = $psMaxWidth;

		return $this;
	}

	/**
	 * Get ps max height.
	 *
	 * @return float|null
	 */
	public function getPsMaxHeight() {
		return $this->psMaxHeight;
	}

	/**
	 * Set ps max height.
	 *
	 * @param float $psMaxHeight Ps max height.
	 *
	 * @return self
	 */
	public function setPsMaxHeight( $psMaxHeight ) {
		$this->psMaxHeight = $psMaxHeight;

		return $this;
	}

	/**
	 * Get postfiliale.
	 *
	 * @return int|null
	 */
	public function getPostfiliale() {
		return $this->postfiliale;
	}

	/**
	 * Set postfiliale.
	 *
	 * @param int $postfiliale Postfiliale.
	 *
	 * @return self
	 */
	public function setPostfiliale( $postfiliale ) {
		$this->postfiliale = $postfiliale;

		return $this;
	}

	/**
	 * Get pf max weight.
	 *
	 * @return float|null
	 */
	public function getPfMaxWeight() {
		return $this->pfMaxWeight;
	}

	/**
	 * Set pf max weight.
	 *
	 * @param float $pfMaxWeight Pf max weight.
	 *
	 * @return self
	 */
	public function setPfMaxWeight( $pfMaxWeight ) {
		$this->pfMaxWeight = $pfMaxWeight;

		return $this;
	}

	/**
	 * Get pf max width.
	 *
	 * @return int|null
	 */
	public function getPfMaxWidth() {
		return $this->pfMaxWidth;
	}

	/**
	 * Set pf max width.
	 *
	 * @param int $pfMaxWidth Pf max width.
	 *
	 * @return self
	 */
	public function setPfMaxWidth( $pfMaxWidth ) {
		$this->pfMaxWidth = $pfMaxWidth;

		return $this;
	}

	/**
	 * Get pf max height.
	 *
	 * @return int|null
	 */
	public function getPfMaxHeight() {
		return $this->pfMaxHeight;
	}

	/**
	 * Set pf max height.
	 *
	 * @param int $pfMaxHeight Pf max height.
	 *
	 * @return self
	 */
	public function setPfMaxHeight( $pfMaxHeight ) {
		$this->pfMaxHeight = $pfMaxHeight;

		return $this;
	}

	/**
	 * Get pf max length.
	 *
	 * @return int|null
	 */
	public function getPfMaxLength() {
		return $this->pfMaxLength;
	}

	/**
	 * Set pf max length.
	 *
	 * @param int $pfMaxLength Pf max length.
	 *
	 * @return self
	 */
	public function setPfMaxLength( $pfMaxLength ) {
		$this->pfMaxLength = $pfMaxLength;

		return $this;
	}

	/**
	 * Get zip format.
	 *
	 * @return string|null
	 */
	public function getZipFormat() {
		return $this->zipFormat;
	}

	/**
	 * Set zip format.
	 *
	 * @param string|null $zipFormat Zip format.
	 *
	 * @return self
	 */
	public function setZipFormat( $zipFormat ) {
		$this->zipFormat = $zipFormat;

		return $this;
	}

	/**
	 * Get active.
	 *
	 * @return bool|null
	 */
	public function getActive() {
		return $this->active;
	}

	/**
	 * Set active.
	 *
	 * @param bool $active Active.
	 *
	 * @return self
	 */
	public function setActive( $active ) {
		$this->active = $active;

		return $this;
	}

	/**
	 * Get identifier.
	 *
	 * @return string|null
	 */
	public function getIdentifier() {
		return $this->identifier;
	}

	/**
	 * Set identifier.
	 *
	 * @param string|null $identifier Identifier.
	 *
	 * @return self
	 */
	public function setIdentifier( $identifier ) {
		$this->identifier = $identifier;

		return $this;
	}

	/**
	 * Get email rec.
	 *
	 * @return bool|null
	 */
	public function getEmailRec() {
		return $this->emailRec;
	}

	/**
	 * Set email rec.
	 *
	 * @param bool $emailRec Email rec.
	 *
	 * @return self
	 */
	public function setEmailRec( $emailRec ) {
		$this->emailRec = $emailRec;

		return $this;
	}

	/**
	 * Get delivery method.
	 *
	 * @return string|null
	 */
	public function getDeliveryMethod() {
		return $this->deliveryMethod;
	}

	/**
	 * Set delivery method.
	 *
	 * @param string|null $deliveryMethod Delivery method.
	 *
	 * @return self
	 */
	public function setDeliveryMethod( $deliveryMethod ) {
		$this->deliveryMethod = $deliveryMethod;

		return $this;
	}

	/**
	 * Get delivery option.
	 *
	 * @return string|null
	 */
	public function getDeliveryOption() {
		return $this->deliveryOption;
	}

	/**
	 * Set delivery option.
	 *
	 * @param string|null $deliveryOption Delivery option.
	 *
	 * @return self
	 */
	public function setDeliveryOption( $deliveryOption ) {
		$this->deliveryOption = $deliveryOption;

		return $this;
	}

	/**
	 * Get delivery info.
	 *
	 * @return string|null
	 */
	public function getDeliveryInfo() {
		return $this->deliveryInfo;
	}

	/**
	 * Set delivery info.
	 *
	 * @param string|null $deliveryInfo Delivery info.
	 *
	 * @return self
	 */
	public function setDeliveryInfo( $deliveryInfo ) {
		$this->deliveryInfo = $deliveryInfo;

		return $this;
	}

	/**
	 * Get tnt url.
	 *
	 * @return string|null
	 */
	public function getTntUrl() {
		return $this->tntUrl;
	}

	/**
	 * Set tnt url.
	 *
	 * @param string|null $tntUrl Tnt url.
	 *
	 * @return self
	 */
	public function setTntUrl( $tntUrl ) {
		$this->tntUrl = $tntUrl;

		return $this;
	}

	/**
	 * Get email sen.
	 *
	 * @return bool|null
	 */
	public function getEmailSen() {
		return $this->emailSen;
	}

	/**
	 * Set email sen.
	 *
	 * @param bool $emailSen Email sen.
	 *
	 * @return self
	 */
	public function setEmailSen( $emailSen ) {
		$this->emailSen = $emailSen;

		return $this;
	}

	/**
	 * Get mob phone rec.
	 *
	 * @return bool|null
	 */
	public function getMobPhoneRec() {
		return $this->mobPhoneRec;
	}

	/**
	 * Set mob phone rec.
	 *
	 * @param bool $mobPhoneRec Mob phone rec.
	 *
	 * @return self
	 */
	public function setMobPhoneRec( $mobPhoneRec ) {
		$this->mobPhoneRec = $mobPhoneRec;

		return $this;
	}

	/**
	 * Get insurance base.
	 *
	 * @return int|null
	 */
	public function getInsuranceBase() {
		return $this->insuranceBase;
	}

	/**
	 * Set insurance base.
	 *
	 * @param int $insuranceBase Insurance base.
	 *
	 * @return self
	 */
	public function setInsuranceBase( $insuranceBase ) {
		$this->insuranceBase = $insuranceBase;

		return $this;
	}

	/**
	 * Get insurance max cach pln
	 *
	 * @return int|null
	 */
	public function getInsuranceMaxcashPln() {
		return $this->insuranceMaxcashPln;
	}

	/**
	 * Set insurance max cach pln.
	 *
	 * @param int $insuranceMaxcashPln Insurance max cach pln.
	 *
	 * @return self
	 */
	public function setInsuranceMaxcashPln( $insuranceMaxcashPln ) {
		$this->insuranceMaxcashPln = $insuranceMaxcashPln;

		return $this;
	}

	/**
	 * Get zip format info.
	 *
	 * @return string|null
	 */
	public function getZipformatInfo() {
		return $this->zipformatInfo;
	}

	/**
	 * Set zip format info.
	 *
	 * @param string|null $zipformatInfo Zip format info.
	 *
	 * @return self
	 */
	public function setZipformatInfo( $zipformatInfo ) {
		$this->zipformatInfo = $zipformatInfo;

		return $this;
	}

	/**
	 * Get print receivers phone.
	 *
	 * @return bool|null
	 */
	public function getPrintReceiversPhone() {
		return $this->printReceiversPhone;
	}

	/**
	 * Set print receivers phone.
	 *
	 * @param bool $printReceiversPhone Print receivers phone.
	 *
	 * @return self
	 */
	public function setPrintReceiversPhone( $printReceiversPhone ) {
		$this->printReceiversPhone = $printReceiversPhone;

		return $this;
	}

	/**
	 * Get country UE.
	 *
	 * @return bool|null
	 */
	public function getCountryUe() {
		return $this->countryUe;
	}

	/**
	 * Set country UE.
	 *
	 * @param bool $countryUe Country UE.
	 *
	 * @return self
	 */
	public function setCountryUe( $countryUe ) {
		$this->countryUe = $countryUe;

		return $this;
	}

	/**
	 * Get delivery option EN.
	 *
	 * @return string|null
	 */
	public function getDeliveryOptionEn() {
		return $this->deliveryOptionEn;
	}

	/**
	 * Set delivery option EN.
	 *
	 * @param string|null $deliveryOptionEn Delivery option EN.
	 *
	 * @return self
	 */
	public function setDeliveryOptionEn( $deliveryOptionEn ) {
		$this->deliveryOptionEn = $deliveryOptionEn;

		return $this;
	}

	/**
	 * Get delivery info EN.
	 *
	 * @return string|null
	 */
	public function getDeliveryInfoEn() {
		return $this->deliveryInfoEn;
	}

	/**
	 * Set delivery info EN.
	 *
	 * @param string|null $deliveryInfoEn Delivery info EN.
	 *
	 * @return self
	 */
	public function setDeliveryInfoEn( $deliveryInfoEn ) {
		$this->deliveryInfoEn = $deliveryInfoEn;

		return $this;
	}

	/**
	 * Get zip format info EN.
	 *
	 * @return string|null
	 */
	public function getZipformatInfoEn() {
		return $this->zipformatInfoEn;
	}

	/**
	 * Set zip format info EN.
	 *
	 * @param string|null $zipformatInfoEn Zip format info EN.
	 *
	 * @return self
	 */
	public function setZipformatInfoEn( $zipformatInfoEn ) {
		$this->zipformatInfoEn = $zipformatInfoEn;

		return $this;
	}

	/**
	 * Get country code 3.
	 *
	 * @return string|null
	 */
	public function getCountryCode3() {
		return $this->countryCode3;
	}

	/**
	 * Set country code 3.
	 *
	 * @param string|null $countryCode3 Country code 3.
	 *
	 * @return self
	 */
	public function setCountryCode3( $countryCode3 ) {
		$this->countryCode3 = $countryCode3;

		return $this;
	}

	/**
	 * Get mob phone sen.
	 *
	 * @return bool|null
	 */
	public function getMobPhoneSen() {
		return $this->mobPhoneSen;
	}

	/**
	 * Set mob phone sen.
	 *
	 * @param bool $mobPhoneSen Mob phone sen.
	 *
	 * @return self
	 */
	public function setMobPhoneSen( $mobPhoneSen ) {
		$this->mobPhoneSen = $mobPhoneSen;

		return $this;
	}

	/**
	 * Get route label.
	 *
	 * @return string|null
	 */
	public function getRouteLabel() {
		return $this->routeLabel;
	}

	/**
	 * Set route label.
	 *
	 * @param string|null $routeLabel Route label.
	 *
	 * @return self
	 */
	public function setRouteLabel( $routeLabel ) {
		$this->routeLabel = $routeLabel;

		return $this;
	}

	/**
	 * Get max value.
	 *
	 * @return int|null
	 */
	public function getMaxValue() {
		return $this->maxValue;
	}

	/**
	 * Set max value.
	 *
	 * @param int $maxValue Max value.
	 *
	 * @return self
	 */
	public function setMaxValue( $maxValue ) {
		$this->maxValue = $maxValue;

		return $this;
	}

	/**
	 * Get product name.
	 *
	 * @return string|null
	 */
	public function getProductName() {
		return $this->productName;
	}

	/**
	 * Set product name.
	 *
	 * @param string|null $productName Product name.
	 *
	 * @return self
	 */
	public function setProductName( $productName ) {
		$this->productName = $productName;

		return $this;
	}

	/**
	 * Get duty individual.
	 *
	 * @return bool|null
	 */
	public function getDutyIndividual() {
		return $this->dutyIndividual;
	}

	/**
	 * Set duty individual.
	 *
	 * @param bool $dutyIndividual Duty individual.
	 *
	 * @return self
	 */
	public function setDutyIndividual( $dutyIndividual ) {
		$this->dutyIndividual = $dutyIndividual;

		return $this;
	}

	/**
	 * Get duty simple.
	 *
	 * @return bool|null
	 */
	public function getDutySimple() {
		return $this->dutySimple;
	}

	/**
	 * Set duty simple.
	 *
	 * @param bool $dutySimple Duty simple.
	 *
	 * @return self
	 */
	public function setDutySimple( $dutySimple ) {
		$this->dutySimple = $dutySimple;

		return $this;
	}

	/**
	 * Get dhl24 available.
	 *
	 * @return bool|null
	 */
	public function getDhl24Available() {
		return $this->dhl24Available;
	}

	/**
	 * Set dhl24 available.
	 *
	 * @param bool $dhl24Available Dhl24 available.
	 *
	 * @return self
	 */
	public function setDhl24Available( $dhl24Available ) {
		$this->dhl24Available = $dhl24Available;

		return $this;
	}

	/**
	 * Get dhl24Fu available.
	 *
	 * @return bool|null
	 */
	public function getDhl24FuAvailable() {
		return $this->dhl24FuAvailable;
	}

	/**
	 * Set dhl24Fu available.
	 *
	 * @param bool $dhl24FuAvailable Dhl24Fu available.
	 *
	 * @return self
	 */
	public function setDhl24FuAvailable( $dhl24FuAvailable ) {
		$this->dhl24FuAvailable = $dhl24FuAvailable;

		return $this;
	}

	/**
	 * Get is available.
	 *
	 * @return bool|null
	 */
	public function getIsbAvailable() {
		return $this->isbAvailable;
	}

	/**
	 * Set is available.
	 *
	 * @param bool $isbAvailable Is available.
	 *
	 * @return self
	 */
	public function setIsbAvailable( $isbAvailable ) {
		$this->isbAvailable = $isbAvailable;

		return $this;
	}

	/**
	 * Get psm available.
	 *
	 * @return bool|null
	 */
	public function getPsmAvailable() {
		return $this->psmAvailable;
	}

	/**
	 * Set psm available.
	 *
	 * @param bool $psmAvailable Psm available.
	 *
	 * @return self
	 */
	public function setPsmAvailable( $psmAvailable ) {
		$this->psmAvailable = $psmAvailable;

		return $this;
	}

	/**
	 * Get mob phone sp rec.
	 *
	 * @return bool|null
	 */
	public function getMobPhoneSpRec() {
		return $this->mobPhoneSpRec;
	}

	/**
	 * Set mob phone sp rec.
	 *
	 * @param bool $mobPhoneSpRec Mob phone sp rec.
	 *
	 * @return self
	 */
	public function setMobPhoneSpRec( $mobPhoneSpRec ) {
		$this->mobPhoneSpRec = $mobPhoneSpRec;

		return $this;
	}

	/**
	 * Get email sp rec.
	 *
	 * @return bool|null
	 */
	public function getEmailSpRec() {
		return $this->emailSpRec;
	}

	/**
	 * Set email sp rec.
	 *
	 * @param bool $emailSpRec Email sp rec.
	 *
	 * @return self
	 */
	public function setEmailSpRec( $emailSpRec ) {
		$this->emailSpRec = $emailSpRec;

		return $this;
	}

	/**
	 * Get email pl rec.
	 *
	 * @return bool|null
	 */
	public function getEmailPlRec() {
		return $this->emailPlRec;
	}

	/**
	 * Set email pl rec.
	 *
	 * @param bool $emailPlRec Email pl rec.
	 *
	 * @return self
	 */
	public function setEmailPlRec( $emailPlRec ) {
		$this->emailPlRec = $emailPlRec;

		return $this;
	}

	/**
	 * Get mob phone pl rec.
	 *
	 * @return bool|null
	 */
	public function getMobPhonePlRec() {
		return $this->mobPhonePlRec;
	}

	/**
	 * Set mob phone pl rec.
	 *
	 * @param bool $mobPhonePlRec Mob phone pl rec.
	 *
	 * @return self
	 */
	public function setMobPhonePlRec( $mobPhonePlRec ) {
		$this->mobPhonePlRec = $mobPhonePlRec;

		return $this;
	}

	/**
	 * Get pod available.
	 *
	 * @return bool|null
	 */
	public function getPodAvailable() {
		return $this->podAvailable;
	}

	/**
	 * Set pod available.
	 *
	 * @param bool $podAvailable Pod available.
	 *
	 * @return self
	 */
	public function setPodAvailable( $podAvailable ) {
		$this->podAvailable = $podAvailable;

		return $this;
	}

	/**
	 * Get min length.
	 *
	 * @return int|null
	 */
	public function getMinLength() {
		return $this->minLength;
	}

	/**
	 * Set min length.
	 *
	 * @param int $minLength Min length.
	 *
	 * @return self
	 */
	public function setMinLength( $minLength ) {
		$this->minLength = $minLength;

		return $this;
	}

	/**
	 * Get min height.
	 *
	 * @return int|null
	 */
	public function getMinHeight() {
		return $this->minHeight;
	}

	/**
	 * Set min height.
	 *
	 * @param int $minHeight Min height.
	 *
	 * @return self
	 */
	public function setMinHeight( $minHeight ) {
		$this->minHeight = $minHeight;

		return $this;
	}

	/**
	 * Get min width.
	 *
	 * @return int|null
	 */
	public function getMinWidth() {
		return $this->minWidth;
	}

	/**
	 * Set min width.
	 *
	 * @param int $minWidth Min width.
	 *
	 * @return self
	 */
	public function setMinWidth( $minWidth ) {
		$this->minWidth = $minWidth;

		return $this;
	}

	/**
	 * Get tm NST kurier.
	 *
	 * @return bool|null
	 */
	public function getFmNstKurier() {
		return $this->fmNstKurier;
	}

	/**
	 * Set tm NST kurier.
	 *
	 * @param bool $fmNstKurier Tm NST kurier.
	 *
	 * @return self
	 */
	public function setFmNstKurier( $fmNstKurier ) {
		$this->fmNstKurier = $fmNstKurier;

		return $this;
	}

		/**
		 * Get adhockpickup.
		 *
		 * @return bool|null
		 */
	public function getAdhocpickup() {
		return $this->adhocpickup;
	}

	/**
	 * Set adhockpickup.
	 *
	 * @param bool|null $adhocpickup Adhockpickup.
	 *
	 * @return self
	 */
	public function setAdhocpickup( $adhocpickup ) {
		$this->adhocpickup = $adhocpickup;

		return $this;
	}

	/**
	 * Get fm NST pf.
	 *
	 * @return bool|null
	 */
	public function getFmNstPf() {
		return $this->fmNstPf;
	}

	/**
	 * Set fm NST pf.
	 *
	 * @param bool $fmNstPf Fm NST pf.
	 *
	 * @return self
	 */
	public function setFmNstPf( $fmNstPf ) {
		$this->fmNstPf = $fmNstPf;

		return $this;
	}

	/**
	 * Get fm NST ps.
	 *
	 * @return bool|null
	 */
	public function getFmNstPs() {
		return $this->fmNstPs;
	}

	/**
	 * Set fm NST ps.
	 *
	 * @param bool $fmNstPs Fm NST ps.
	 *
	 * @return self
	 */
	public function setFmNstPs( $fmNstPs ) {
		$this->fmNstPs = $fmNstPs;

		return $this;
	}
}
