<?php
/**
 * Class ReturnShip
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

/**
 * ReturnShip
 */
class ReturnShip {
	/**
	 * Address details of the sender.
	 *
	 * @var ReturnAddressat|null
	 */
	private $shipper;

	/**
	 * Address details of the recipient.
	 *
	 * @var ReturnAddressat|null
	 */
	private $receiver;

	/**
	 * Return associative array.
	 *
	 * @return array
	 */
	public function toArray(): array {
		return array(
			'shipper'  => $this->getShipper() ? $this->getShipper()->toArray() : null,
			'receiver' => $this->getReceiver() ? $this->getReceiver()->toArray() : null,
		);
	}

	/**
	 * Get address details of the sender.
	 *
	 * @return ReturnAddressat|null
	 */
	public function getShipper() {
		return $this->shipper;
	}

	/**
	 * Set address details of the sender.
	 *
	 * @param ReturnAddressat|null $shipper Address details of the sender.
	 *
	 * @return self
	 */
	public function setShipper( $shipper ) {
		$this->shipper = $shipper;

		return $this;
	}

	/**
	 * Get address details of the recipient.
	 *
	 * @return ReturnAddressat|null
	 */
	public function getReceiver() {
		return $this->receiver;
	}

	/**
	 * Set address details of the recipient.
	 *
	 * @param ReturnAddressat|null $receiver Address details of the recipient.
	 *
	 * @return self
	 */
	public function setReceiver( $receiver ) {
		$this->receiver = $receiver;

		return $this;
	}
}
