<?php
/**
 * Class ServicePoint
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

/**
 * ServicePoint
 */
class ServicePoint {
	/**
	 * Service point number.
	 *
	 * @var string|null
	 */
	private $servicePointAccountNumber;

	/**
	 * Name.
	 *
	 * @var string|null
	 */
	private $name;

	/**
	 * Country.
	 *
	 * @var string|null
	 */
	private $country;

	/**
	 * Postal code (in xxxxx format without dash).
	 *
	 * @var string|null
	 */
	private $postcode;

	/**
	 * Town/city.
	 *
	 * @var string|null
	 */
	private $city;

	/**
	 * Street.
	 *
	 * @var string|null
	 */
	private $street;

	/**
	 * House number.
	 *
	 * @var string|null
	 */
	private $houseNumber;

	/**
	 * Apartment number.
	 *
	 * @var string|null
	 */
	private $apartmentNumber;

	/**
	 * Get service point number.
	 *
	 * @return string|null
	 */
	public function getServicePointAccountNumber() {
		return $this->servicePointAccountNumber;
	}

	/**
	 * Set service point number.
	 *
	 * @param string|null $servicePointAccountNumber Service point number.
	 *
	 * @return self
	 */
	public function setServicePointAccountNumber( $servicePointAccountNumber ) {
		$this->servicePointAccountNumber = $servicePointAccountNumber;

		return $this;
	}

	/**
	 * Get name.
	 *
	 * @return string|null
	 */
	public function getName() {
		return $this->name;
	}

	/**
	 * Set name.
	 *
	 * @param string|null $name Name.
	 *
	 * @return self
	 */
	public function setName( $name ) {
		$this->name = $name;

		return $this;
	}

	/**
	 * Get country.
	 *
	 * @return string|null
	 */
	public function getCountry() {
		return $this->country;
	}

	/**
	 * Set country.
	 *
	 * @param string|null $country Country.
	 *
	 * @return self
	 */
	public function setCountry( $country ) {
		$this->country = $country;

		return $this;
	}

	/**
	 * Get postal code (in xxxxx format without dash).
	 *
	 * @return string|null
	 */
	public function getPostcode() {
		return $this->postcode;
	}

	/**
	 * Set postal code (in xxxxx format without dash).
	 *
	 * @param string|null $postcode Postal code (in xxxxx format without dash).
	 *
	 * @return self
	 */
	public function setPostcode( $postcode ) {
		$this->postcode = $postcode;

		return $this;
	}

	/**
	 * Get town/city.
	 *
	 * @return string|null
	 */
	public function getCity() {
		return $this->city;
	}

	/**
	 * Set town/city.
	 *
	 * @param string|null $city Town/city.
	 *
	 * @return self
	 */
	public function setCity( $city ) {
		$this->city = $city;

		return $this;
	}

	/**
	 * Get street.
	 *
	 * @return string|null
	 */
	public function getStreet() {
		return $this->street;
	}

	/**
	 * Set street.
	 *
	 * @param string|null $street Street.
	 *
	 * @return self
	 */
	public function setStreet( $street ) {
		$this->street = $street;

		return $this;
	}

	/**
	 * Get house number.
	 *
	 * @return string|null
	 */
	public function getHouseNumber() {
		return $this->houseNumber;
	}

	/**
	 * Set house number.
	 *
	 * @param string|null $houseNumber House number.
	 *
	 * @return self
	 */
	public function setHouseNumber( $houseNumber ) {
		$this->houseNumber = $houseNumber;

		return $this;
	}

	/**
	 * Get apartment number.
	 *
	 * @return string|null
	 */
	public function getApartmentNumber() {
		return $this->apartmentNumber;
	}

	/**
	 * Set apartment number.
	 *
	 * @param string|null $apartmentNumber Apartment number.
	 *
	 * @return self
	 */
	public function setApartmentNumber( $apartmentNumber ) {
		$this->apartmentNumber = $apartmentNumber;

		return $this;
	}
}
