<?php
/**
 * Class Strings
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type;

use ILabs\WoocommerceDHL24\DHL24Client\ResultInterface;

/**
 * Strings
 */
class Strings implements ResultInterface {
	/**
	 * Array of string.
	 *
	 * @var \ArrayObject|string[]
	 */
	private $items;

	/**
	 * Construct
	 *
	 * @return void
	 */
	public function __construct() {
		$this->items = new \ArrayObject();
	}

	/**
	 * Get items.
	 *
	 * @return \ArrayObject
	 */
	public function getItems(): \ArrayObject {
		return $this->items;
	}

	/**
	 * Add Item.
	 *
	 * @param string $item Item.
	 *
	 * @return Strings
	 */
	public function addItem( string $item ): self {
		$this->items->append( $item );

		return $this;
	}

	/**
	 * Remove Item.
	 *
	 * @param string $item Item.
	 *
	 * @return Strings
	 */
	public function removeItem( string $item ): self {
		// TODO.

		return $this;
	}
}
