<?php
/**
 * Plugin otions.
 *
 * @package ILabs\WoocommerceDHL24;
 */

declare (strict_types=1);
namespace ILabs\WoocommerceDHL24;

/**
 * Plugin otions class
 *
 * @package ILabs\WoocommerceDHL24;
 */
class PluginOptions {
	/**
	 * Filename of plugin.
	 *
	 * @var string
	 */
	private $plugin_file;

	/**
	 * Plugin dir.
	 *
	 * @var string
	 */
	private $plugin_dir;

	/**
	 * Plugin namespace.
	 *
	 * @var string
	 */
	private $plugin_namespace;

	/**
	 * Plugin url.
	 *
	 * @var string
	 */
	private $plugin_url;

	/**
	 * Plugin version.
	 *
	 * @var string
	 */
	private $plugin_version;

	/**
	 * Get filename of plugin.
	 *
	 * @return string
	 */
	public function get_plugin_file() {
		return $this->plugin_file;
	}

	/**
	 * Set filename of plugin.
	 *
	 * @param string $plugin_file Filename of plugin.
	 *
	 * @return self
	 */
	public function set_plugin_file( string $plugin_file ) {
		$this->plugin_file = $plugin_file;

		return $this;
	}

	/**
	 * Get plugin dir
	 *
	 * @return string
	 */
	public function get_plugin_dir(): string {
		return $this->plugin_dir;
	}

	/**
	 * Set plugin dir
	 *
	 * @param string $plugin_dir Plugin dir.
	 * @return PluginOptions
	 */
	public function set_plugin_dir( string $plugin_dir ): self {
		$this->plugin_dir = $plugin_dir;

		return $this;
	}

	/**
	 * Get plugin namespace
	 *
	 * @return string
	 */
	public function get_plugin_namespace(): string {
		return $this->plugin_namespace;
	}

	/**
	 * Set plugin namespace
	 *
	 * @param string $plugin_namespace Plugin namespace.
	 * @return PluginOptions
	 */
	public function set_plugin_namespace( string $plugin_namespace ): self {
		$this->plugin_namespace = $plugin_namespace;

		return $this;
	}

	/**
	 * Get plugin url
	 *
	 * @return string
	 */
	public function get_plugin_url(): string {
		return $this->plugin_url;
	}

	/**
	 * Set plugin url
	 *
	 * @param string $plugin_url Plugin url.
	 * @return PluginOptions
	 */
	public function set_plugin_url( string $plugin_url ): self {
		$this->plugin_url = $plugin_url;

		return $this;
	}

	/**
	 * Get plugin version
	 *
	 * @return string
	 */
	public function get_plugin_version(): string {
		return $this->plugin_version;
	}

	/**
	 * Set plugin version
	 *
	 * @param string $plugin_version Plugin version.
	 * @return PluginOptions
	 */
	public function set_plugin_version( string $plugin_version ): self {
		$this->plugin_version = $plugin_version;

		return $this;
	}
}
