<?php
/**
 * Abstract class AbstractRepository.
 *
 * @package ILabs\WoocommerceDHL24
 */

namespace ILabs\WoocommerceDHL24\Repository;

use ILabs\WoocommerceDHL24\Helper\Formatter;
use ILabs\WoocommerceDHL24\Helper\Option;
use ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type\AuthData;
use ILabs\WoocommerceDHL24\DHL24Client\WebAPI\WebAPIClient;

/**
 * AbstractRepository
 */
abstract class AbstractRepository {
	/**
	 * WebAPIClient
	 *
	 * @var WebAPIClient
	 */
	protected $web_api_client;

	/**
	 * AuthData
	 *
	 * @var AuthData
	 */
	protected $auth;

	/**
	 * Formatter
	 *
	 * @var Formatter
	 */
	protected $formatter;

	/**
	 * Constructor.
	 */
	public function __construct() {
		$data                 = Option::get_instance()->get_data();
		$this->web_api_client = new WebAPIClient( $data['webapi_wsdl'] );
		$this->auth           = new AuthData( $data['webapi_username'], $data['webapi_password'] );

		$this->formatter = new Formatter();
	}
}
