<?php
/**
 * Meta box order
 *
 * @package ILabs\WoocommerceDHL24
 * @var array $args {
 *   Array of arguments.
 *   @type int    shipment_id
 *   @type int    order_id
 *   @type string dispatch_number
 *   @type bool   is_servicepoint_label
 * }
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

use ILabs\WoocommerceDHL24\Helper\View;

$view = new View();
?>
<h3><?php esc_html_e( 'Shipment', 'woocommerce-dhl24' ); ?></h3>
<?php if ( empty( $args['shipment_id'] ) ) : ?>
<p><a href="<?php echo esc_url( add_query_arg( array( 'path' => '/new_shipment', 'id' => $args['order_id'] ), $view->admin_url() ) ); // phpcs:ignore ?>"><?php esc_html_e( 'Create new shipment', 'woocommerce-dhl24' ); ?></a></p>
<?php endif ?>
<?php echo $view->meta_box_links( $args['shipment_id'], $args['dispatch_number'], $args['is_servicepoint_label'] ); // phpcs:ignore ?>
<?php if ( ! empty( $args['shipment_id'] ) || ! empty( $args['return_shipments'] ) || ! empty( $args['return_shipment_id'] ) ) : ?>
<h3><?php esc_html_e( 'Return shipment', 'woocommerce-dhl24' ); ?></h3>
<?php endif; ?>
<?php if ( ! empty( $args['shipment_id'] ) && empty( $args['return_shipments'] ) && empty( $args['return_shipment_id'] ) ) : ?>
<p><a href="<?php echo esc_url( add_query_arg( array( 'path' => '/return_shipment', 'id' => $args['shipment_id'] ), $view->admin_url() ) ); // phpcs:ignore ?>"><?php esc_html_e( 'Create return shipment', 'woocommerce-dhl24' ); ?></a></p>
<?php endif; ?>
<?php echo $view->meta_box_links( $args['return_shipment_id'], $args['return_dispatch_number'] ); // phpcs:ignore ?>
<?php foreach ( $args['return_shipments'] as $return_shipment_id ) : ?>
<?php echo $view->meta_box_links( $return_shipment_id, '' ); // phpcs:ignore ?>
<?php endforeach; ?>
