<?php
/**
 * Shipping to SAP
 *
 * @package ILabs\WoocommerceDHL24
 * @var array $args {
 *   Array of arguments.
 *   @type int           shipment_id
 *   @type TrackAndTrace tracking
 * }
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

use ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type\TrackAndTrace;
use ILabs\WoocommerceDHL24\DHL24Client\WebAPI\Type\TrackAndTraceEvent;

/**
 * Track and trace
 *
 * @var TrackAndTrace $track_and_trace
 */
$track_and_trace = $args['tracking'];
$received_by     = $track_and_trace->getReceivedBy();
?>
<div id="dhl24-shipment-tracking-log">
	<h2><?php esc_html_e( 'Shipment tracking log', 'woocommerce-dhl24' ); ?></h3>
	<h4><?php printf( /* translators: %s: Shipment ID */ esc_html__( 'Shipment id: %s.', 'woocommerce-dhl24' ), esc_html( $args['shipment_id'] ) ); ?></h4>
	<?php if ( ! empty( $received_by ) ) : ?>
	<div class="notice notice-success">
		<?php printf( /* translators: %s: Shipment ID */ esc_html__( 'Shipment received by %s.', 'woocommerce-dhl24' ), esc_html( $received_by ) ); ?>
	</div>
	<?php endif ?>
	<ul>
	<?php
	/**
	 * Loop
	 *
	 * @var TrackAndTraceEvent $event
	 */
	foreach ( $track_and_trace->getEvents() as $event ) {
		?>
		<li>
			<span><?php echo esc_html( $event->getTimestamp() ); ?></span>
			<span><?php echo esc_html( $event->getStatus() ); ?></span>
			<span><?php echo esc_html( $event->getTerminal() ); ?></span>
			<span><?php echo esc_html( $event->getDescription() ); ?></span>
		</li>
		<?php
	}
	?>
</ul>
</div>
